RoutesScheduler module

Scheduler routes

URLs the Scheduler module answers, their parameters and the variables each view receives.

View cdna-admin screens of this module.

Admin view

GET /cdna-admin/scheduler/add-task addTask

Add a new record. Assigns an empty record to the template.

The admin template receives
VariableTypeDescription
$task Task Single (empty) Task record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/scheduler/task/{id} editTask

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$task Task Retrieved Task record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/scheduler/tasks manageTasks

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$tasks Collection<Task> Collection of Tasks

Common variables such as $_url, $_request and $_menu are available too. Global template variables

Only GET routes list their variables.